public class XMLAttribute { 
 private String name;
 private String value;
    
 public String getValue() { 
  return value;
 }
    
 public String getName() { 
  return name;
 }
    
 public int getIntValue() { 
  if (value == null) { 
   throw new XMLException("Value not set");
  }
  try { 
   return Integer.parseInt(value);
  } 
  catch (NumberFormatException x) { 
   throw new XMLException("The value '" + value + "' of attribute '" + name + "' is not valid integer constant");
  }
 }

 XMLAttribute(String name, String value) { 
  this.name = name;
  this.value = value;
 }

}